Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

Need some help installing nvidia drivers [SOLVED]

Started by Severs, November 09, 2018, 08:17:58 PM

Previous topic - Next topic

Severs

Going to admit right off the bat, I am a linux noob. I messed around with Kubuntu very slightly about 6 years ago, but other than that, total noob.

After having nonstop issues with Windows 10 for the last 4 months, I finally decided to make the jump to Linux as my primary OS. Fresh install today, GameOver Edition, and have been setting up since this morning. My first attempt was doing things, as I have seen it referred to, in the debian way. sudo apt-get nvidia-drivers. Completely bricked the install, upon reboot and after the grub screen all I got was a black screen with a flickering cursor in the upper left. Reinstalled sparky and started researching. Most answers I saw pointed me to the Device Driver Manager, which when I attempted to install gave me this as an output.

QuoteDepends: gir1.2-webkit-3.0  but it is not installable
Depends: nvidia-detect but it is not going to be installed
Depends: nvidia-installer-cleanup
Depends: apt-show-versions but it is not going to be installed
Depends: kdesudo  but it is not installable or
   gksu  but it is not installable

So I started doing some more research and I guess DDM is no longer being supported(?) I could be wrong, but as I am at a loss, I come asking for help.  :-[

Severs

Ok, so a little bit of an update here, not the results were any different but after a few hours I did figure out that the Nvidia drivers could be downloaded from the ATPus program (repository?) and I did try installing it from there, but again no luck. Bricks the install with the same black screen issue.

pavroo

Looks like the DDM works with gksu, which is available for stable line, so... have to fork it, stay tuned.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

Severs

At this point, I've got nothing but patience so I'm going nowhere yet. Thanks for taking the time to look into it.

Severs

Last update on this, I was talking with a few people about the issue in another community, and they gave me this command to use:
Quotesudo apt install linux-headers-$(uname -r|sed 's/[^-]*-[^-]*-//') nvidia-driver nvidia-kernel-dkms

I'm sure to someone more experienced with linux, this might be second nature, but for someone coming in flying blind like myself not so much. I did see the issue reported a lot when i was researching the issue, so I figured I'd share it with other newbies who might be flying blind as well. :D

pavroo

The DDM package is updated so can be installed on Sparky 5/Debian Buster now.
It starts from the menu or via command:
pkexec ddm

DDM in stable repos is with no changes.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

View the most recent posts on the forum